# Record Class CSCertificateStored

java.lang.Object
java.lang.Record
com.io7m.certusine.certstore.api.CSCertificateStored

Record Components:
  `domain` - The domain name
  `name` - The certificate name
  `createdOn` - The time/date this certificate was created
  `expiresOn` - The time/date this certificate expires
  `pemEncodedCertificate` - The single PEM-encoded certificate
  `pemEncodedCertificateFullChain` - The full PEM-encoded certificate chain

All Implemented Interfaces:
  `Serializable`

public record CSCertificateStored(String domain, CSCertificateName name, OffsetDateTime createdOn, OffsetDateTime expiresOn, String pemEncodedCertificate, String pemEncodedCertificateFullChain) extends Record implements Serializable
A stored certificate.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSCertificateStored(String domain, CSCertificateName name, OffsetDateTime createdOn, OffsetDateTime expiresOn, String pemEncodedCertificate, String pemEncodedCertificateFullChain)`
  A stored certificate.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OffsetDateTime`
  `createdOn()`
  Returns the value of the `createdOn` record component.
  `String`
  `domain()`
  Returns the value of the `domain` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `OffsetDateTime`
  `expiresOn()`
  Returns the value of the `expiresOn` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `identifier()`
  `CSCertificateName`
  `name()`
  Returns the value of the `name` record component.
  `String`
  `pemEncodedCertificate()`
  Returns the value of the `pemEncodedCertificate` record component.
  `String`
  `pemEncodedCertificateFullChain()`
  Returns the value of the `pemEncodedCertificateFullChain` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSCertificateStored

    public CSCertificateStored(String domain, CSCertificateName name, OffsetDateTime createdOn, OffsetDateTime expiresOn, String pemEncodedCertificate, String pemEncodedCertificateFullChain)
    A stored certificate.
    Parameters:
      `domain` - The domain name
      `name` - The certificate name
      `createdOn` - The time/date this certificate was created
      `expiresOn` - The time/date this certificate expires
      `pemEncodedCertificate` - The single PEM-encoded certificate
      `pemEncodedCertificateFullChain` - The full PEM-encoded certificate chain

- ## Method Details

  - ### identifier

    public String identifier()
    Returns:
      The certificate identifier

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### domain

    public String domain()
    Returns the value of the `domain` record component.
    Returns:
      the value of the `domain` record component

  - ### name

    public CSCertificateName name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### createdOn

    public OffsetDateTime createdOn()
    Returns the value of the `createdOn` record component.
    Returns:
      the value of the `createdOn` record component

  - ### expiresOn

    public OffsetDateTime expiresOn()
    Returns the value of the `expiresOn` record component.
    Returns:
      the value of the `expiresOn` record component

  - ### pemEncodedCertificate

    public String pemEncodedCertificate()
    Returns the value of the `pemEncodedCertificate` record component.
    Returns:
      the value of the `pemEncodedCertificate` record component

  - ### pemEncodedCertificateFullChain

    public String pemEncodedCertificateFullChain()
    Returns the value of the `pemEncodedCertificateFullChain` record component.
    Returns:
      the value of the `pemEncodedCertificateFullChain` record component